# 创建 bonus 用户，此段代码未测试
RUN group add -g 1002 bonus && \
useradd -u 1002 -g 1002 -m -s /usr/sbin/nologin bonus
# 切换到 bonus 用户
USER bonus
# end 创建用户

# 基础镜像
FROM  openjdk:8-jre
# author
MAINTAINER bonus

# 挂载目录
VOLUME /home/bonus
# 创建目录
RUN mkdir -p /home/bonus
# 指定路径
WORKDIR /home/bonus
# 复制jar文件到路径
COPY ./jar/bonus-material.jar /home/bonus/bonus-material.jar
# 启动系统服务
ENTRYPOINT ["java","-jar","bonus-material.jar"]